Index: frontend/src/Components/Listings/HotelListing.js
===================================================================
--- frontend/src/Components/Listings/HotelListing.js	(revision efaa05348a3e0dac884385ba4dd765baaeb47ec6)
+++ frontend/src/Components/Listings/HotelListing.js	(revision e9b4ba920295b1b329df3313a9e80743d23804ee)
@@ -1,3 +1,3 @@
-import {Col, Container, Image, Row, Button, Badge} from "react-bootstrap";
+import {Col, Container, Image, Row, Button} from "react-bootstrap";
 import {BsFillPersonFill} from "react-icons/bs";
 import {MdOutlineLocalOffer} from "react-icons/md";
@@ -5,18 +5,5 @@
 
 function HotelListing(props) {
-
-    const getMarketingMessage = (num) => {
-        switch (num){
-            case 1:
-                return "Достапно само денес"
-            case 2:
-                return "Последна соба"
-            case 3:
-                return "Специјална цена"
-        }
-    }
-
     console.log(props)
-    const randomInt = Math.floor(Math.random() * (3)) + 1;
     return (
         <>
@@ -28,5 +15,4 @@
                     boxShadow: "0 3px 5px lightblue",
                     maxWidth: "60%",
-                    backgroundColor: props.data.promoted ? "#e1f7fa" : ""
                 }}
             >
@@ -45,8 +31,5 @@
                     <Col>
                         <Row>
-                            <h3>{props.data.hotelName}
-                            {props.data.marketed && randomInt !== 3 && <h6><Badge bg="warning">{getMarketingMessage(randomInt)}</Badge></h6>}
-                            {props.data.promoted && <h6><Badge bg="primary">Најпопуларно</Badge></h6>}
-                            </h3>
+                            <h3>{props.data.hotelName}</h3>
                         </Row>
                         <Row>
@@ -97,5 +80,6 @@
                       }}
                   >
-                        {(props.data.hotelReviews.reduce((sum, r) => sum + r.numStar, 0) / props.data.hotelReviews.length).toFixed(1)}
+                    {/* {props.data.hotelRating} */}
+                      9.1
                   </span>
                                 </Col>
@@ -107,6 +91,5 @@
                                 >
                                     <Row>
-                                        <h4>{props.data.marketed && randomInt === 3 && <h6><Badge bg="warning">{getMarketingMessage(randomInt)}</Badge></h6>}
-                                            {props.data.totalPrice}$</h4>
+                                        <h4>{props.data.totalPrice}$</h4>
                                     </Row>
                                     <Row className="w-100">
Index: frontend/src/Components/Listings/RestaurantListing.js
===================================================================
--- frontend/src/Components/Listings/RestaurantListing.js	(revision efaa05348a3e0dac884385ba4dd765baaeb47ec6)
+++ 	(revision )
@@ -1,122 +1,0 @@
-import {Col, Container, Image, Row, Button} from "react-bootstrap";
-import {BsFillPersonFill} from "react-icons/bs";
-import {MdOutlineLocalOffer} from "react-icons/md";
-import {Link} from "react-router-dom";
-
-function RestaurantListing(props) {
-    console.log(props)
-    return (
-        <>
-            <Container
-                className="py-3 px-1 my-4"
-                style={{
-                    border: "4px solid lightblue",
-                    borderRadius: "1em",
-                    boxShadow: "0 3px 5px lightblue",
-                    maxWidth: "60%",
-                }}
-            >
-                <Row className="mx-1 my-1" style={{textAlign: "left"}}>
-                    <Col className="d-flex justify-content-center">
-                        <Image
-                            src="https://www.imgacademy.com/sites/default/files/legacyhotel.jpg"
-                            style={{
-                                height: "15em",
-                                borderRadius: "1em",
-                                boxShadow: "0 4px 20px lightblue",
-                                maxWidth: "100%",
-                            }}
-                        ></Image>
-                    </Col>
-                    <Col>
-                        <Row>
-                            <h3>{props.data.restaurantName}</h3>
-                        </Row>
-                        <Row>
-                            <h8>{props.data.restaurantLocation}, Македонија</h8>
-                        </Row>
-                        <Row className="mt-3 ml-2">
-                            <Col className="md-4">
-                                <h4 style={{fontWeight: "bold"}}></h4>
-                            </Col>
-                        </Row>
-                        <Row>
-                            <Col className="ml-5">
-                                {/* <h5>{props.data.hotelCaption}</h5> */}
-                                <h5>Тип на кујна</h5>
-                            </Col>
-                        </Row>
-                        <Row>
-                            <Col>
-                                <h6>{props.data.cousineType}</h6>
-                            </Col>
-                        </Row>
-                    </Col>
-                    <Col>
-                        <Container
-                            fluid
-                            className="px-0"
-                            style={{
-                                display: "flex",
-                                flexDirection: "column",
-                                alignItems: "flex-end",
-                                justifyContent: "space-between",
-                                height: "100%",
-                            }}
-                        >
-                            <Row className="justify-self-end" style={{textAlign: "right"}}>
-                                <Col style={{textAlign: "right"}}>
-                                    <h6>Многу добро</h6>
-                                </Col>
-                                <Col>
-                  <span
-                      style={{
-                          backgroundColor: "#159895",
-                          padding: "0.75em",
-                          fontWeight: "bold",
-                          fontSize: "1.25rem",
-                          borderRadius: "0.75em",
-                          color: "white",
-                      }}
-                  >
-                     {props.data.averageScore.toFixed(1)}
-                  </span>
-                                </Col>
-                            </Row>
-                            <Row className="w-75 justify-self-end">
-                                <Container
-                                    className="justify-self-end"
-                                    style={{textAlign: "right"}}
-                                >
-                                    <Row>
-
-                                    </Row>
-                                    <Row className="w-100">
-                                        <Link
-                                            to="/details/restaurant"
-                                            state={{data: props.data, params: props.params}}
-                                            className="w-100"
-                                        >
-                                            <Button
-                                                className="m-2"
-                                                size="md"
-                                                style={{backgroundColor: "#159895"}}
-                                                onClick={() => {
-                                                }}
-                                            >
-                                                <MdOutlineLocalOffer size={"1.5em"}></MdOutlineLocalOffer>{" "}
-                                                Кон понудата
-                                            </Button>
-                                        </Link>
-                                    </Row>
-                                </Container>
-                            </Row>
-                        </Container>
-                    </Col>
-                </Row>
-            </Container>
-        </>
-    );
-}
-
-export default RestaurantListing;
Index: frontend/src/Components/Listings/SortButton.js
===================================================================
--- frontend/src/Components/Listings/SortButton.js	(revision efaa05348a3e0dac884385ba4dd765baaeb47ec6)
+++ frontend/src/Components/Listings/SortButton.js	(revision e9b4ba920295b1b329df3313a9e80743d23804ee)
@@ -3,10 +3,7 @@
 import { BsSortUp } from "react-icons/bs"
 
-const SortButton = (props) => {
+const SortButton = () => {
     return (
-        <Dropdown onSelect={(event, x) => {
-            console.log(event)
-            props.setSortingArg(event)
-        }}>
+        <Dropdown>
           <Dropdown.Toggle variant="success" id="dropdown-basic" size="lg">
           <span className="ikona my-1"><BsSortUp/></span>
@@ -14,9 +11,9 @@
           </Dropdown.Toggle>
     
-          <Dropdown.Menu >
-              {props.type !== 'restaurant' && <Dropdown.Item eventKey={'priceDesc'}>Цена растечки</Dropdown.Item>}
-              {props.type !== 'restaurant' && <Dropdown.Item eventKey={'priceAsc'}>Цена опаѓачки</Dropdown.Item>}
-              {props.type !== 'transport' && <Dropdown.Item eventKey={'nameAsc'}>Име растечки</Dropdown.Item>}
-              {props.type !== 'transport' && <Dropdown.Item eventKey={'nameDesc'}>Име опаѓачки</Dropdown.Item>}
+          <Dropdown.Menu>
+            <Dropdown.Item href="#/action-1">Цена растечки</Dropdown.Item>
+            <Dropdown.Item href="#/action-2">Цена опаѓачки</Dropdown.Item>
+            <Dropdown.Item href="#/action-3">Име растечки</Dropdown.Item>
+            <Dropdown.Item href="#/action-3">Име опаѓачки</Dropdown.Item>
           </Dropdown.Menu>
         </Dropdown>
Index: frontend/src/Components/Listings/TransportListing.js
===================================================================
--- frontend/src/Components/Listings/TransportListing.js	(revision efaa05348a3e0dac884385ba4dd765baaeb47ec6)
+++ frontend/src/Components/Listings/TransportListing.js	(revision e9b4ba920295b1b329df3313a9e80743d23804ee)
@@ -9,5 +9,5 @@
 
 const TransportListing = (props) => {
-
+  
 
 
@@ -56,5 +56,5 @@
                     }}
                   >
-                      {(props.data.reviews.reduce((sum, r) => sum + r.numStar, 0) / props.data.reviews.length).toFixed(1)}
+                    9.1
                   </span>
                 </Col>
@@ -69,5 +69,5 @@
                   </Row>
                   <Row className="w-100">
-                    <Link to="/details/transport" state={ {data: props.data, params: props.params} }>
+                    <Link to="/details/transport" state={ {data: props.data} }>
                     <Button
                       className="m-2"
